summaryrefslogtreecommitdiff
path: root/tests/test_lib.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test_lib.sh')
-rw-r--r--tests/test_lib.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/tests/test_lib.sh b/tests/test_lib.sh
index 6d431d0..d9c30d9 100644
--- a/tests/test_lib.sh
+++ b/tests/test_lib.sh
@@ -83,7 +83,6 @@ function main {
$DEPLOY $IMGFILE && \
RETVAL=$?
cd $CWD
-
if test "x$RETVAL" != "x0"
then
echo $FAIL
@@ -94,7 +93,7 @@ function main {
echo -n "$TEST_ID Checking $TEST_NAME results: "
check_results
- if test "x$RETVAL" != "x0"
+ if test "x$?" != "x0"
then
echo $FAIL
echo "Applying image did not produce the expected results" 1>&2